Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.Random.Type

class petsc4py.PETSc.Random.Type

  Bases: `object`

  The random number generator type.

  Attributes Summary

  `RAND` | Object `RAND` of type `str`
  `RAND48` | Object `RAND48` of type `str`
  `RANDER48` | Object `RANDER48` of type `str`
  `RANDOM123` | Object `RANDOM123` of type `str`
  `SPRNG` | Object `SPRNG` of type `str`

  Attributes Documentation

  RAND: str = RAND

    Object `RAND` of type `str`

  RAND48: str = RAND48

    Object `RAND48` of type `str`

  RANDER48: str = RANDER48

    Object `RANDER48` of type `str`

  RANDOM123: str = RANDOM123

    Object `RANDOM123` of type `str`

  SPRNG: str = SPRNG

    Object `SPRNG` of type `str`

  __init__()
  classmethod __new__(*args, **kwargs)